class VanguardConstants {
  static const String devUrl = "https://dev.vanguard.consoledoctor.co.uk";
  static const String liveUrl = "https://vanguard.consoledoctor.co.uk";

  static const String apiSecret = "CD0C2E74359D6C96B8054954D2C8EF0135F3";

  VanguardConstants._();
}

class VanguardHeaders {
  VanguardHeaders._();

  static const String apiKey = 'CD-API';
  static const String appName = 'x-app-name';
  static const String serviceName = 'x-service-name';
  static const String deviceID = 'x-deviceid';
  static const String platform = 'x-platform';
  static const String hostname = 'x-client-hostname';
  static const String device = 'x-device';
  static const String username = 'x-vanguard-user';
  static const String kiosk = 'x-kiosk';
}

class VanguardUrlParams {
  VanguardUrlParams._();

  static const String appName = 'a';
  static const String serviceName = 's';
  static const String deviceID = 'did';
  static const String platform = 'p';
  static const String hostname = 'h';
  static const String device = 'd';
  static const String username = 'u';
  static const String kiosk = 'k';
}